import java.io.*;
import java.awt.*;
import java.awt.event.*;

public class Spiel extends Frame implements Parameter {
  // Conways "Spiel des Lebens" (Nullpersonenspiel)

  int schrittzahl;

  public Spiel (int s) {
    schrittzahl = s;
    setTitle("Spiel des Lebens");
    setSize(fensterbreite, fensterbreite);
    setLocation(50, 50);
    setVisible(true);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e)
      {System.exit(0);}});
    show();
    } // Ende Konstruktor

  public void paint (Graphics g) {
    Gitter gitter = new Gitter(g);
    // gitter.Pentomino1();
    // gitter.Gleiter();
    // gitter.Pentomino2();
    // gitter.Raumschiff();
    gitter.Siebenerreihe();
    for (int i = 0; i < schrittzahl; i++) {
      gitter.Ausgabe();
      Gitter gitterNeu = gitter.bergang(g);
      gitter = gitterNeu;
      gitter.warte(300);
      } // Ende for
    } // Ende paint

  public static void main (String[] xy) throws IOException {
    BufferedReader tastatur =
      new BufferedReader(new InputStreamReader(System.in));
    String text = "\n SPIEL DES LEBENS";
    System.out.print(text + "\n Anzahl Schritte: ");
    int schritte = Integer.parseInt(tastatur.readLine());
    new Spiel(schritte);
    } // Ende main

  } // Ende Spiel
